Package org.lwjgl.opengles

# Class NVEGLStreamConsumerExternal

java.lang.Object
org.lwjgl.opengles.NVEGLStreamConsumerExternal

public final class NVEGLStreamConsumerExternal extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_REQUIRED_TEXTURE_IMAGE_UNITS_OES`
Accepted as <value> in GetTexParameter*() queries:
`static final int`
`GL_SAMPLER_EXTERNAL_OES`
Returned in the <type> parameter of GetActiveUniform:
`static final int`
`GL_TEXTURE_BINDING_EXTERNAL_OES`
Accepted as <value> in GetIntegerv() and GetFloatv() queries:
`static final int`
`GL_TEXTURE_EXTERNAL_OES`
Accepted as a target in the <target> parameter of BindTexture:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE_EXTERNAL_OES

public static final int GL_TEXTURE_EXTERNAL_OES
Accepted as a target in the <target> parameter of BindTexture:

See Also:
  - Constant Field Values

### GL_SAMPLER_EXTERNAL_OES

public static final int GL_SAMPLER_EXTERNAL_OES
Returned in the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_TEXTURE_BINDING_EXTERNAL_OES

public static final int GL_TEXTURE_BINDING_EXTERNAL_OES
Accepted as <value> in GetIntegerv() and GetFloatv() queries:

See Also:
  - Constant Field Values

### GL_REQUIRED_TEXTURE_IMAGE_UNITS_OES

public static final int GL_REQUIRED_TEXTURE_IMAGE_UNITS_OES
Accepted as <value> in GetTexParameter*() queries:

See Also:
  - Constant Field Values